### Function

# FwupdPlugin ArchiveIterateFunc

since: 1.0

#### Declaration

    gboolean
    (* FuArchiveIterateFunc) (
      FuArchive* self,
      const gchar* filename,
      GBytes* bytes,
      gpointer user_data,
      GError** error
    )

#### Description [src]

The archive iteration callback.

Available since: 1.0

#### Parameters

`self`

  Type: `FuArchive`

  A `FuArchive`.

  The data is owned by the caller of the function.

`filename`

  Type: `const gchar*`

  A filename.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`bytes`

  Type: `GBytes`

  The blob referenced by `filename`.

  The data is owned by the caller of the function.

`user_data`

  Type: `gpointer`

  User data.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

No description available.